> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tembo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Authorize an MCP connection

> Connect or authorize a remote Streamable HTTP MCP connection, returning an OAuth URL when user authorization is required. Stdio connections are rejected because this action cannot authorize them.



## OpenAPI

````yaml https://api.tembo.io/public-api/openapi/public post /v1/mcp-connections/{mcpConnectionId}/authorize
openapi: 3.1.0
info:
  title: Tembo Public API
  description: Public API Endpoints for Tembo
  version: 1.0.0
servers:
  - url: https://api.tembo.io
    description: Tembo API
  - url: https://{deployment-origin}/api/public-api
    description: Self-hosted Tembo
    variables:
      deployment-origin:
        default: tembo.example.com
        description: Hostname of your self-hosted Tembo deployment
security: []
paths:
  /v1/mcp-connections/{mcpConnectionId}/authorize:
    post:
      tags:
        - MCP Connections
      summary: Authorize an MCP connection
      description: >-
        Connect or authorize a remote Streamable HTTP MCP connection, returning
        an OAuth URL when user authorization is required. Stdio connections are
        rejected because this action cannot authorize them.
      operationId: authorizeMcpConnection
      parameters:
        - in: path
          name: mcpConnectionId
          schema:
            type: string
            format: uuid
          required: true
      responses:
        '200':
          description: Authorize an MCP connection
          content:
            application/json:
              schema:
                type: object
                properties:
                  authorizationUrl:
                    type:
                      - string
                      - 'null'
                    format: uri
                  connection:
                    type: object
                    properties:
                      connectedAt:
                        type:
                          - string
                          - 'null'
                        format: date-time
                      id:
                        type: string
                        format: uuid
                      name:
                        type: string
                      serverUrl:
                        type:
                          - string
                          - 'null'
                      type:
                        type: string
                        enum:
                          - remote
                          - stdio
                      args:
                        type:
                          - array
                          - 'null'
                        items:
                          type: string
                          maxLength: 8192
                        maxItems: 100
                      authType:
                        type:
                          - string
                          - 'null'
                        enum:
                          - oauth
                          - client_credentials
                          - static_headers
                          - null
                      command:
                        type:
                          - string
                          - 'null'
                      createdAt:
                        type: string
                        format: date-time
                      envKeys:
                        type: array
                        items:
                          type: string
                      headerKeys:
                        type: array
                        items:
                          type: string
                      updatedAt:
                        type: string
                        format: date-time
                    required:
                      - connectedAt
                      - id
                      - name
                      - serverUrl
                      - type
                      - args
                      - authType
                      - command
                      - createdAt
                      - envKeys
                      - headerKeys
                      - updatedAt
                    additionalProperties: false
                required:
                  - authorizationUrl
                  - connection
                additionalProperties: false
        '400':
          description: Validation error or missing resource scope
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '404':
          description: MCP connection not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '409':
          description: MCP connection conflict or unsupported action
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '500':
          description: MCP connection operation failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '502':
          description: The remote MCP server operation failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer

````